import { OnInit, ElementRef, OnChanges, EventEmitter } from '@angular/core';
export declare class StimulsoftDesignerComponent implements OnInit, OnChanges {
    designerEl: ElementRef;
    /**
     * Occurs when designer loaded
     */
    designerLoaded: EventEmitter<any>;
    /**
     * Url to server instance (designer controller)
     * Example: http://server.url:51528/api/designer
     */
    requestUrl: string;
    /**
     * The width of Designer
     */
    width: string;
    /**
     * The height of Designer
     */
    height: string;
    id: string;
    designer: any;
    chartScripts: any;
    private loaded;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: import('@angular/core').SimpleChanges): void;
    addScript(): void;
    showDesigner(): void;
    get head(): HTMLHeadElement;
}
