# Angular component for Stimulsoft Reports

The Angular Designer component is designed to create reports in the web browser.

With help of Angular Designer you can create, edit, save and preview reports on any computer with any operating system installed. Since the designer only uses HTML and JavaScript technologies, it can be run on devices where there is no Flash or Silverlight support - tablets, smartphones. Also, the designer supports the Touch interface, which is automatically enabled when using devices with a touch screen.

The Angular Designer component uses the AJAX technology to perform all actions on reports, which allows you to get rid of reloading the entire page, save Web traffic and speed up work. The report engine built using the .NET Core technology is used to render reports. This is a cross-platform technology. It allows you to deploy the application on servers that use the operating systems like Windows, macOS, and Linux.

## Install

`npm install stimulsoft-designer-angular`

## Trial Limitation

This is a trial version of Stimulsoft Designer for Angular, the free trial versions of Stimulsoft Reports are fully functional and will work for an unlimited time. The only limitation is a DEMO watermark displayed on each report page.

Read more about [Stimulsoft Angular](https://www.stimulsoft.com/en/documentation/online/programming-manual/index.html?reports_web_angular.htm)

[Free Download](https://www.stimulsoft.com/en/downloads)

[License](https://github.com/stimulsoft/Reports.JS/blob/HEAD/LICENSE.md)
